% Driver script used to generate al
N = 256;  % resolution
r = 20;   % particle radius
M = 5;    % number of particles
maxv = 8; % maximum velocity of generated particles
fsim = 5000; % number of frames to use in simulation
for numneurons = [5 5 10 20 5 10 20 25 35; 5 10 10 15 0 0 0 0 0]
  numneurons
  for ftrain = [1000 5000 10000] % generates 76, 324 and 672 collisions resp.
    ftrain
    [net, errp, errv] = svn(N,r,M,maxv,ftrain,fsim,numneurons);
    disp('Converting frames to an mpeg...');
    nn = [num2str(numneurons(1)) '-' num2str(numneurons(2))];
    system(['ffmpeg -r 40 -f image2 -i "img/imv-%05d.png" -b 64k -y "img/imvnetsmall' ...
       nn '_' num2str(ftrain) '.mpg"']);
  end
end
