function f = fillcolorpoints(p, r, N)
% given a set of coordinates in p, generate the coordinates in the image that
% should be filled around each point accorinding to the radius r

n = size(p, 2);
f = zeros(2,n,ceil(pi*(r+1)*(r+1)));
f(:,:,1) = p;
for pt = 1:n
  count = 2;
  for i = 0:r
    for j = 0:r
      if i == 0 && j == 0
        continue;
      elseif i*i + j*j < r*r
        if p(1,pt) + j <= N
          if p(2,pt) + i <= N
            f(:,pt,count) = [p(1,pt) + j; p(2,pt) + i];
            count = count + 1;
          end
          if p(2,pt) - i > 0
            f(:,pt,count) = [p(1,pt) + j; p(2,pt) - i];
            count = count + 1;
          end
        end
        if p(1,pt) - j > 0
          if p(2,pt) + i <= N
            f(:,pt,count) = [p(1,pt) - j; p(2,pt) + i];
            count = count + 1;
          end
          if p(2,pt) - i > 0
            f(:,pt,count) = [p(1,pt) - j; p(2,pt) - i];
            count = count + 1;
          end
        end
      end
    end
  end
end

f(:,:,count:end) = [];
